package test;

import java.awt.image.BufferedImage;
import java.io.ByteArrayOutputStream;
import java.io.File;

import javax.activation.MimetypesFileTypeMap;
import javax.imageio.ImageIO;

import eu.mymsp.ws2.mymsp.type.jaws.Identification;
import eu.mymsp.ws2.mymsp.type.jaws.MessageContent;
import eu.mymsp.ws2.mymsp.type.jaws.Recipient;

public class MyMSPUtil {
  
  public static Identification getId() {
    Identification id = new Identification();
    id.setUsername("yourUserName");
    id.setPwd("yourPassword");
    id.setClientType("wsClient");
    id.setClientVersion("");
    return id;
  }

  public static Recipient getRecipient(String mobileNumber) {
    return getRecipient(mobileNumber, "", "");
  }
  
  public static Recipient getRecipient(String mobileNumber, String externalRef, String recipientName) {
    Recipient recipient = new Recipient();
    recipient.setMobileNumber(mobileNumber);
    recipient.setExternalRef(externalRef);
    recipient.setRecipientName(recipientName);
    return recipient;
  }
  
  public static MessageContent getMessageContent(String fileName) {
    MessageContent content = new MessageContent();
    MimetypesFileTypeMap mmp = new MimetypesFileTypeMap();
    content.setContentType(mmp.getContentType(fileName));
    content.setContentBytes(getImageFileAsArray(fileName));
    content.setContentCharset("");
    content.setSlideNo(1);
    return content;
  }

  public static byte[] getImageFileAsArray(String fileName) {
    System.out.println("getImageFileAsArray fileName='" + fileName + "'");
    byte[] bytes = new byte[0];
    try {
      BufferedImage fileImage = ImageIO.read(new File(fileName));
      System.out.println(fileImage);
      ByteArrayOutputStream baos = new ByteArrayOutputStream();
      String fileExtension = fileName.substring(fileName.lastIndexOf('.') + 1).toLowerCase();
      ImageIO.write(fileImage, fileExtension, baos);
      bytes = baos.toByteArray();
    }
    catch (Exception ex) {
      ex.printStackTrace();
    }
    return bytes;
  }

}
